%define major		14
%define libname		%mklibname torrent %{major}
%define libnamedev	%mklibname -d torrent

Name:		libtorrent
Version:	0.13.2
Release:	%mkrel 2
Summary:	BitTorrent library written in C++ for *nix
License:	GPLv2+
Group:		Networking/File transfer
URL:		http://libtorrent.rakshasa.no/
Source0:	http://libtorrent.rakshasa.no/downloads/%{name}-%{version}.tar.gz
Patch0:		libtorrent-0.13.2-fix-linking.patch
BuildRequires:	sigc++2.0-devel
BuildRequires:	openssl-devel
BuildRequires:	automake
BuildRequires:	libtool

%description
LibTorrent is a BitTorrent library written in C++ for *nix. It is designed to
avoid redundant copying and storing of data that other clients and libraries
suffer from. Licensed under the GPL.

Basic features have been implemented and a ncurses client is included. Sloppy
and biased test runs have shown that transferring a 200 MB file with libTorrent
uses 1/4 of the CPU time that the official BitTorrent client requires.

The library and client are under heavy development. They are stable enough to
handle any torrents I throw at them these days. 

%package -n %{libname}
Summary:	BitTorrent library written in C++ for *nix
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
LibTorrent is a BitTorrent library written in C++ for *nix. It is designed to
avoid redundant copying and storing of data that other clients and libraries
suffer from. Licensed under the GPL.

Basic features have been implemented and a ncurses client is included. Sloppy
and biased test runs have shown that transferring a 200 MB file with libTorrent
uses 1/4 of the CPU time that the official BitTorrent client requires.

The library and client are under heavy development. They are stable enough to
handle any torrents I throw at them these days. 

%package -n %{libnamedev}
Summary:	BitTorrent library written in C++ for *nix
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
LibTorrent is a BitTorrent library written in C++ for *nix. It is designed to
avoid redundant copying and storing of data that other clients and libraries
suffer from. Licensed under the GPL.

Basic features have been implemented and a ncurses client is included. Sloppy
and biased test runs have shown that transferring a 200 MB file with libTorrent
uses 1/4 of the CPU time that the official BitTorrent client requires.

The library and client are under heavy development. They are stable enough to
handle any torrents I throw at them these days. 

%prep
%setup -q
%apply_patches

%build
#gw work around compiler bug according to the home page:
export CFLAGS=$(echo %optflags|sed s/O2/O3/)
export CXXFLAGS=$(echo %optflags|sed s/O2/O3/)

%configure2_5x --with-posix-fallocate
%make

%install 
%makeinstall_std

#we don't want these
rm -rf %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/lib*.so
%{_includedir}/torrent/
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.13.2-2.mga3
+ Revision: 358268
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 wally <wally> 0.13.2-1.mga3
+ Revision: 254382
- new version 0.13.2
- add P0 to fix linking
- clean .spec a bit

* Wed Mar 07 2012 stormi <stormi> 0.12.9-3.mga2
+ Revision: 221371
- rebuild to fix changelog

* Wed Mar 07 2012 remmy <remmy> 0.12.9-2.mga2
+ Revision: 221289
- Revert to last stable upstream release

* Thu Feb 23 2012 kharec <kharec> 0.13.0-1.mga2
+ Revision: 213496
- new version 0.13.0

* Fri Jun 24 2011 wally <wally> 0.12.9-1.mga2
+ Revision: 113099
- new version 0.12.9

* Sun Jun 12 2011 kharec <kharec> 0.12.8-2.mga2
+ Revision: 105325
- fix major

* Sun Jun 12 2011 kharec <kharec> 0.12.8-1.mga2
+ Revision: 105315
- fix file list
- new version (for build rtorrent)

* Fri Feb 25 2011 wally <wally> 0.12.7-2.mga1
+ Revision: 59998
- drop buildroot definition
- drop old obsoletes
- drop old mdv scriptlets
- get rid of .la files
- clean .spec
- imported package libtorrent

